/*
  ceil_get.c

  Useful functions for accessing ceilometer data files
  All use the prefix LC, which stands for lidar ceilometer

  R J Hogan, 10 May 1999
*/

#include <math.h>
#include "ceil.h"

double
LCOpticalDepth(LCBackscatterProfile * profile,int iheight1,int iheight2)
{
  double dz,tau=0;
  int i;

  dz= (profile->range[1]-profile->range[0]);
  if (iheight2<iheight1) {
    return -1;
  }
  if (iheight1<0) iheight1=0;
  if (iheight2>=profile->ngates) iheight2=profile->ngates-1;

  for (i=iheight1;i<iheight2;i++) {
    tau += profile->alpha[i]*dz;
  }
  return tau;
}

int
LCIndexFromHeight(LCBackscatterProfile *profile,short int range)
{
  int i=0;
  while (range > profile->range[i] && i++ < profile->ngates);
  if (i==profile->ngates)
    return -1;
  else
    return i;
}

int
LCGetDate(char *datestr, LCTime *time)
{
  static char *months[]={"Jan","Feb","Mar","Apr","May","June",
			 "July","Aug","Sept","Oct","Nov","Dec"};
  if (time->month < 1 || time->month > 12) {
    return 1;
  }
  else {
    sprintf(datestr,"%d %s %d",time->day,months[time->month-1],
	    time->year);
  }
  return 0;
}

